Bug 1432093 - Removing all folders from an accordion in Report Menu makes the Reports page display error
Summary: Removing all folders from an accordion in Report Menu makes the Reports page ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.2
Assignee: Zita Nemeckova
QA Contact: Jiri Stefanisin
URL:
Whiteboard: report
Depends On: 1424843
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-14 14:03 UTC by Satoe Imaishi
Modified: 2017-04-12 14:34 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1424843
Environment:
Last Closed: 2017-04-12 14:34:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-15 20:51:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/ab83cc38abd0344722b3da6120ad7873fcd5ffdb

commit ab83cc38abd0344722b3da6120ad7873fcd5ffdb
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Mar 6 17:35:16 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 15 16:50:05 2017 -0400

    Merge pull request #582 from ZitaNemeckova/bz1424843
    
    Don't generate child nodes for node without children in report_reports tree
    (cherry picked from commit 52c001e871c052e1a03446a856fb17082f65b19b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1432093

 app/presenters/tree_builder_report_reports.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Jiri Stefanisin 2017-03-24 14:31:15 UTC
Verified on 5.7.2.0.20170321181409_349f1b1

Comment 5 errata-xmlrpc 2017-04-12 14:34:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.